[coreboot-gerrit] New patch to review for coreboot: 82f01bd DO NOT MERGE: to-wiki.sh: Add some northbridge_nice

Denis Carikli (GNUtoo@no-log.org) gerrit at coreboot.org
Sun May 3 22:00:01 CEST 2015


Denis Carikli (GNUtoo at no-log.org) just uploaded a new patch set to gerrit, which you can find at http://review.coreboot.org/10085

-gerrit

commit 82f01bde24c7abdbbbede243e1b409fff2b2932f
Author: Denis 'GNUtoo' Carikli <GNUtoo at no-log.org>
Date:   Sun May 3 15:47:08 2015 +0200

    DO NOT MERGE: to-wiki.sh: Add some northbridge_nice
    
    Only some intels are added
    subtypes not handled correctly yet.
    
    Change-Id: I5d63cdf5620f6fbe3a394fdde9cd5cc3625db54d
    Signed-off-by: Denis 'GNUtoo' Carikli <GNUtoo at no-log.org>
---
 util/board_status/to-wiki/towiki.sh | 35 ++++++++++++++++++++++++-----------
 1 file changed, 24 insertions(+), 11 deletions(-)

diff --git a/util/board_status/to-wiki/towiki.sh b/util/board_status/to-wiki/towiki.sh
index efb3c1f..0fb5e00 100755
--- a/util/board_status/to-wiki/towiki.sh
+++ b/util/board_status/to-wiki/towiki.sh
@@ -212,7 +212,22 @@ EOF
 		vendor_board_dir="$COREBOOT_DIR"/src/mainboard/"$venboard";
 
 		northbridge="$(sed -n "/^[[:space:]]*select NORTHBRIDGE_/ s,^[[:space:]]*select NORTHBRIDGE_,,p" "$vendor_board_dir/Kconfig")"
-		northbridge_nice="$(echo "$northbridge"|sed 's,AMD_AGESA_FAMILY\([0-9a-fA-F]*\)\(.*\),AMD Family \1h\2 (AGESA),g;s,AMD_FAMILY\([0-9a-fA-F]*\),AMD Family \1h,g;s,AMD_AMDFAM\([0-9a-fA-F]*\),AMD Family \1h,g;s,_, ,g;s,INTEL,Intel,g;')"
+		northbridge_subtype_nice=""
+
+		case "$northbridge" in
+			INTEL_SUBTYPE_I945GC|INTEL_SUBTYPE_I945GM)
+				northbridge_subtype_nice="$(echo "$northbridge"|sed 's,INTEL_SUBTYPE_,Intel ,g')";;
+			INTEL_NEHALEM)
+				northbridge_nice="Intel Nehalem (1st Gen)";;
+			INTEL_SANDYBRIDGE|INTEL_SANDYBRIDGE_NATIVE)
+				northbridge_nice="Intel Sandybridge (2nd Gen)";;
+			INTEL_IVYBRIDGE|INTEL_FSP_IVYBRIDGE|INTEL_IVYBRIDGE_NATIVE)
+				northbridge_nice="Intel Ivybridge (3rd Gen)";;
+			INTEL_HASWELL)
+				northbridge_nice="Intel Haswell (4th Gen)";;
+			*)
+				northbridge_nice="$(echo "$northbridge"|sed 's,AMD_AGESA_FAMILY\([0-9a-fA-F]*\)\(.*\),AMD Family \1h\2 (AGESA),g;s,AMD_FAMILY\([0-9a-fA-F]*\),AMD Family \1h,g;s,AMD_AMDFAM\([0-9a-fA-F]*\),AMD Family \1h,g;s,_, ,g;s,INTEL,Intel,g;')";;
+		esac
 
 		cpu="$(sed -n "/	select CPU_/ s,	select CPU_,,p" "$vendor_board_dir/Kconfig"|grep -v "AMD_AGESA_FAMILY")"
 		case "$cpu" in
@@ -304,14 +319,9 @@ EOF
 				;;
 			INTEL_SOCKET_RPGA989)
 				case $northbridge in
-					INTEL_HASWELL)
-						cpu_nice="Intel 4th Gen (Haswell) Core i3/i5/i7"
-						socket_nice="Socket RPGA989";;
-					INTEL_IVYBRIDGE_NATIVE|INTEL_IVYBRIDGE|INTEL_FSP_IVYBRIDGE)
-						cpu_nice="Intel 3rd Gen (Ivybridge) Core i3/i5/i7"
-						socket_nice="Socket RPGA989";;
-					INTEL_SANDYBRIDGE)
-						cpu_nice="Intel 2nd Gen (Sandybridge) Core i3/i5/i7"
+				    INTEL_HASWELL|INTEL_IVYBRIDGE_NATIVE|INTEL_IVYBRIDGE| \
+					INTEL_FSP_IVYBRIDGE|INTEL_SANDYBRIDGE)
+						cpu_nice="Core i3/i5/i7"
 						socket_nice="Socket RPGA989";;
 					*)
 						cpu_nice="$northbridge"
@@ -397,8 +407,11 @@ EOF
 		else
 			echo "| style=\"background:lime\" | [[#$vendor/$board|$lastgood]]"
 		fi
-
-		echo "| $northbridge_nice"
+		if ! [ -z "$northbridge_subtype_nice" ]; then
+			echo "| $northbridge_subtype_nice"
+		else
+			echo "| $northbridge_nice"
+		fi
 		echo "|"
 		echo "* $cpu_nice"
 		echo "* $socket_nice"



More information about the coreboot-gerrit mailing list